%define plugname imms
%define name xmms-%plugname
%define version 0.9.4
%define release 1mdk

Summary: An intelligent playlist plug-in for XMMS
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{plugname}-%{version}.tar.bz2
License: GPL
Group: Sound
Url: http://www.luminal.org/wiki/index.php/IMMS/IMMS
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: xmms
BuildRequires: xmms-devel
BuildRequires: libsqlite-devel
BuildRequires: libvorbis-devel
BuildRequires: libpcre-devel
BuildRequires: libid3-devel

%description
IMMS is an intelligent playlist plug-in for XMMS that tracks the user's
listening patterns and dynamically adapts to his/her taste. It is incredibly
unobtrusive and easy to use as it requires no direct user interaction.

%prep
%setup -q -n %plugname-%version

%build
make
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_libdir/xmms/General
%make install-system DESTDIR=%buildroot

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE INSTALL README
%_libdir/xmms/General/libimms.so

%changelog
* Thu Oct 09 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.4-1mdk
- 1st mdk spec 

